怖くてずっとできなかったが、ようやくサーバーのWEBディレクトリ全体に.htaccessでPHP7.1を指定した。

おっそいよね~~。
データベースと接続できなくなったらそのサポート無いから怖かったの。

その前段階でWordpressのフォルダをPHP7.1にしてみたらエラーが出なかったので、思い切って行った。

ところがどっこいエラーが出たのは、以前からあるPHPフォームメール。そのディレクトリにはhtaccessを入れてなかったからデフォルトのPHP5.4だったはず。それでphp5.6を指定したら元に戻って、送受信ができた。これは古いバージョンじゃないとダメみたい。

新しい方のフォームメールはもともとphp7.0に対応しているのでなんでもなく表示されているが、送受信できないことに変わりない。

ヘテムル内で新サーバーへの移設もしなきゃならないのに、憂鬱は続く。